# Generated by Django 4.1.4 on 2022-12-17 23:35

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("game", "0026_alter_npc_is_merchant_alter_npc_name_known_item"),
    ]

    operations = [
        migrations.AddField(
            model_name="map",
            name="description",
            field=models.TextField(null=True),
        ),
        migrations.CreateModel(
            name="Door",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "node1",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="door1",
                        to="game.mapnode",
                    ),
                ),
                (
                    "node2",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="door2",
                        to="game.mapnode",
                    ),
                ),
            ],
        ),
    ]
